Summary:	The compatibility libraries needed by old libc.so.5 applications
Name:		libc
Version:	5.3.12
Release:	%mkrel 41
Exclusivearch:	%{ix86}
Exclusiveos:	Linux
License:	Distributable
Group:		System/Libraries
Source0:	libc-5.3.12-bins.tar.bz2
Autoreqprov:	no
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Older Linux systems (including the Red Hat Linux system between 2.0
and 4.2, inclusive) were based on libc version 5. The libc package
includes the libc5 libraries and other libraries based on libc5.  With
these libraries installed, old applications which need them will be
able to run on your glibc (libc version 6) based system.

The libc package should be installed if you need to run older applications
which need libc version 5.

%package	base
Summary:	Old libc.so.5 and libm.so.5 compatibility libraries
Group:		System/Libraries
Requires(pre,post):		/sbin/ldconfig grep coreutils
Provides:	libc = %{version} libc.so.5 libm.so.5
Requires:	ld.so1
Autoreqprov:	no

%description	base
This package provides old libc.so.5 and libm.so.5 libraries needed to run 
old applications based on libc5 libraries.

%package	extras
Summary:	Extra old libc5 based compatibility libraries
Group:		System/Libraries
Requires(pre,post):		/sbin/ldconfig grep coreutils
Provides:	libstdc++.so.27 libg++.so.27 
Requires:	%{name}-base
Autoreqprov:	no

%description	extras
This package provides extra libraries (other than libc.so.5 and
libm.so.5) needed to run old applications based on libc5 libraries.

%prep
%setup -c -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/i486-linux-libc5/lib
for n in *; do
    install -m 755 $n $RPM_BUILD_ROOT/usr/i486-linux-libc5/lib
done

%post base
grep -q "^/usr/i486-linux-libc5/lib$" /etc/ld.so.conf || echo "/usr/i486-linux-libc5/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun base
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v '^/usr/i486-linux-libc5/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%post extras -p /sbin/ldconfig

%postun extras -p /sbin/ldconfig

%files base
%defattr(-,root,root)
%dir /usr/i486-linux-libc5
%dir /usr/i486-linux-libc5/lib
/usr/i486-linux-libc5/lib/libc.so*
/usr/i486-linux-libc5/lib/libm.so*

%files extras
%defattr(-,root,root)
/usr/i486-linux-libc5/lib/libICE*
/usr/i486-linux-libc5/lib/libPEX*
/usr/i486-linux-libc5/lib/libSM*
/usr/i486-linux-libc5/lib/libX*
/usr/i486-linux-libc5/lib/libform*
/usr/i486-linux-libc5/lib/libg*
/usr/i486-linux-libc5/lib/libmenu*
/usr/i486-linux-libc5/lib/libncurs*
/usr/i486-linux-libc5/lib/libpanel*
/usr/i486-linux-libc5/lib/libstdc++*
/usr/i486-linux-libc5/lib/libtermcap*
/usr/i486-linux-libc5/lib/libvga*

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Fri Feb 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.3.12-41mdv2008.1
+ Revision: 164099
- require coreutils instead of fileutils
- release
- do not use prereq
- fix summary-ended-with-dot
- uses %%mkrel
- import libc


* Thu Jun 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.3.12-39mdk
- rebuild
- cosmetics

* Fri Aug 30 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.12-38mdk
- Rebuilt.

* Wed Mar 13 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.12-37mdk
- added Autoreqprov: no also to subpackages to avoid problems with
  urpmi (suggested by Guillaume Cottenceau).

* Sun Feb 10 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.12-36mdk
- split in base & extra subpackages.

* Thu Mar  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.3.12-35mdk
- Exclusivearch: %%{ix86}

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.3.12-34mdk
- depend of ld-linux-so.2.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.3.12-33mdk
- Fix groups.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- %%defattr(root).
- More arch than i386.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove a source inutile.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- modify description

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Wed Nov 04 1998 Cristian Gafton <gafton@redhat.com>
- updated most libraries for security reasons

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- fixed postuninstall script

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 23 1997 Cristian Gafton <gafton@redhat.com>
- updated for the vsyslog() security-fixed libc
- uses a BuildRoot

* Mon Nov 10 1997 Erik Troan <ewt@redhat.com>
- updated Xpm lib to one built w/ dependency info
- added svgalib

* Mon Sep 23 1997 Erik Troan <ewt@redhat.com>
- added ncurses libraries

* Mon Sep 08 1997 Erik Troan <ewt@redhat.com>
- updated X libraries to 3.1.1
- added provides of libm.so.5

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- initial build as compatibility package
